
QGIS Application - Bug report #18475

Concave hull error in Qgis 3.0

2018-03-18 08:11 PM - Pieter Geene

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Processing/Core

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 10 Easy fix?: Yes

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26363

Description

When trying to create a concave hull around a bunch of vertices in Qgis 3.0 I get an error.

Associated revisions

Revision 732c5260 - 2018-03-19 02:00 AM - Nyall Dawson

[processing] Fix Concave Hull algorithm, add tests

Fixes #18475

Revision feaf22f9 - 2018-03-19 04:01 AM - Nyall Dawson

[processing] Fix Concave Hull algorithm, add tests

Fixes #18475

(cherry-picked from 732c526)

History

#1 - 2018-03-19 12:20 AM - Nyall Dawson

- Assignee changed from Victor Olaya to Nyall Dawson

- Status changed from Open to In Progress

#2 - 2018-03-19 02:00 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|732c5260cc57b82da598a5f2b1ca596d9f0c0998.

#3 - 2018-03-19 05:53 AM - Basil Eric Rabi

- File Test.gpkg added

Concave (and convex) hull still do not output correctly using the attached data and the patches applied. This may be related to Issue #18219. The attached

data can be processed without issues in 2.18.17.
#4 - 2019-04-17 09:00 PM - Johannes Kroeger

Looks like this should have been re-opened back then. BUT I just tried reproducing and had no issues in 3.6 with neither Concave hull (alpha shapes) nor

Concave hull (k-nearest neighbor).

Files

Qgis30 concave hull error.PNG 236 KB 2018-03-18 Pieter Geene

Test.gpkg 792 KB 2018-03-19 Basil Eric Rabi
